<!DOCTYPE html>
<html>
  <head>
    {% block style %}
    {% endblock %}
    <style>
      body {
        font-family: arial, sans-serif;
      }
      .bg-grey {
        background-color: #c0c0c0;
        -webkit-print-color-adjust: exact;
      }
      .bg-grey-light {
        background-color: #f5f5f5;
        -webkit-print-color-adjust: exact;
      }
      .text-n {
        color: #ccb71c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-p {
        color: #cc5f1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-k {
        color: #88cc1c;
        font-weight: 600;
        -webkit-print-color-adjust: exact;
      }
      .text-grey {
        color: #9e9e9e;
        -webkit-print-color-adjust: exact;
      }
      .text-bold {
        font-weight: 600;
      }
      table {
        border-collapse: collapse;
        width: 100%;
      }
      td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
      }
    </style>
  </head>
  <body>
    <div id="content">
      {% for fertilization_plan in fertilization_plans %}
        <h1 style="margin-top: 0px;">{{ fertilization_plan.fertilization_plan_name }}</h1>
        <p>{{ fertilization_plan.holding_name }} ({{ fertilization_plan.campaign_name }})</p>
        <table>
          <tr>
            <th>
              Algoritm
            </th>
            <th>
              Viimati salvestatud
            </th>
            <th>
              Aruanne on loodud
            </th>
          </tr>
          <tr>
            <td>
              <div style="display: flex; flex-wrap: nowrap; align-items: center;">
                <div style="display: flex; align-items: center;">
                  <div style="width: 25px; height: auto;">{{ algorithm_logo|safe }}</div>
                  <div style="margin-left: 8px;">{{ algorithm_name }}</div>
                </div>
              </div>
            </td>
            <td>
              {{ fertilization_plan.fertilization_plan_date|datetimeformat("%Y-%m-%d %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
            <td>
              {{ current_date_time|datetimeformat("%Y-%m-%d %H:%M:%S", "%Y-%m-%dT%H:%M:%S.%f%z", "UTC") }}
            </td>
          </tr>
        </table>
        {% if fertilization_plan.recommendations_by_plot %}
          {% for plot_id, plot_recommendation in fertilization_plan.recommendations_by_plot.items() %}
            <h3 style="padding-top: 16px;">{{ plot_recommendation.plot_name }}</h3>
            <p><span style="text-transform: uppercase;">{{ plot_recommendation.recommendation.plant_species_name }}</span> - {{ plot_recommendation.recommendation.crop_yield }} {{ plot_recommendation.recommendation.crop_yield_unit_of_measure_symbol }}</p>
            {% if plot_recommendation.plot_preview %}
            <div style="width: 100%; max-height: 350px;">
              {{ plot_recommendation.plot_preview|safe }}
            </div>
            {% endif %}
            <table style="margin-top: 2em;">
              <tr>
                <th colspan="3" style="text-align: center; font-size: 1.15em;">
                  Toitainete soovitused
                </th>
              </tr>
              <tr>
                {% for element_recommendation in plot_recommendation.recommendation.element_recommendations %}
                  {% if element_recommendation.chemical_element_id|lower == 'n' %}
                    <th>Lämmastiku</th>
                  {% elif element_recommendation.chemical_element_id|lower == 'p' %}
                    <th>Fosfori</th>
                  {% else %}
                    <th>Kaaliumi</th>
                  {% endif %}
                {% endfor %}
              </tr>
              <tr>
                {% for element_recommendation in plot_recommendation.recommendation.element_recommendations %}
                  <td><span class="text-bold">{{ element_recommendation.quantity }}</span> {{ element_recommendation.quantity_unit_of_measure_symbol }}</td>
                {% endfor %}
              </tr>
            </table>
          {% endfor %}
        {% endif %}
        {% if fertilization_plan.parameters %}
          <div style="padding-top: 2em;">
            <p style="margin-top: 0;">Väetusplaan parameetrid</p>
            <table>
              <tr>
                <th>Parameeter</th>
                <th>Väärtus</th>
              </tr>
              {% if fertilization_plan.parameters.plant_species %}
                <tr>
                  <td>Põllukultuur</td>
                  <td>{{ fertilization_plan.parameters.plant_species.name }}</td>
                </tr>
              {% endif %}
              {% if not fertilization_plan.parameters.yield_target is none %}
                <tr>
                  <td>Saagikoristuse eesmärk</td>
                  <td>{{ fertilization_plan.parameters.yield_target }} kg/ha</td>
                </tr>
              {% endif %}
            </table>
          </div>
        {% endif %}
        {% if not loop.last %}
          <hr style="margin-top: 36px; margin-bottom: 36px;" />
        {% endif %}
      {% endfor %}
    </div> 
  </body>
</html>